function parseUICommand(parameters) {
	if (parameters.action === undefined) {
		// do nothing if action is undefined
		return;
	} else {
		var propTreeReady = getFromPropertyTree_nostore("Controller/propTreeReady", true, false);

		debug("DEBUG", "Command:" + parameters.action + ";Ready:" + propTreeReady);

		if (propTreeReady !== null && propTreeReady !== undefined) {

			switch (parameters.action) {
				case "RediscoverAirboxes":
					// https://192.168.3.159/json/event/raise?name=wesco_UI&parameter=action=RediscoverAirboxes
					discoverAirboxes();
					break;

				case "RefreshPushTargetOptions":
					// create a list of connected mobile devices
					try {
						cloudService.fetchNotificationList(createNotificationList);

					} catch (err) {
						// report error,  not cloud activated
					}
					break;

				case "ClearAllAirboxErrors":

					clearAllAirboxErrors();
					setAirboxesToLastCalledScene();
					openExhaustFlap();
					break;

				case "StoredConfigurableParameters":
					Property.store();
					debug("DEBUG", "Stored complete property tree");
					break;

				case "StoredExhaustFlap":
					Property.store();
					debug("DEBUG", "Stored complete property tree");
					openExhaustFlap();

					break;

				case "RestartAirboxes":
					var Dict = {};
					airboxSendSceneFSM("initialize", 0, Dict, parseInt(AIRBOX_DEFAULT_LEVEL + 2));
					saveToPropertyTree("Controller/CurrentLevel", parseInt(3), true);
					break;

				case "SetAirboxesLevel":
					var level = parameters.level;
					var Dict = {};
					airboxSendSceneFSM("initialize", 0, Dict, parseInt(level) + 2);
					saveToPropertyTree("Controller/CurrentLevel", parseInt(level), true);
					break;

				default:
					break;
			} // end 	switch(parameters.action){
		} //end if
	}
}